# $Revision: 1.22 $, $Date: 2008/07/27 22:49:28 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	Huffman
Summary:	Algorithm::Huffman - implementation of the Huffman algorithm
Summary(pl.UTF-8):	Algorithm::Huffman - implementacja algorytmu Huffmana
Name:		perl-Algorithm-Huffman
Version:	0.09
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dd5c0360357dcb0807e9ac2e49b2e746
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Heap
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-String-Random
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-ManyParams
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Tree-DAG_Node
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This modules implements the huffman algorithm. The aim is to create
a good coding scheme for a given list of different characters (or even
strings) and their occurence numbers.

%description -l pl.UTF-8
Ten moduł jest implementacją algorytmu Huffmana. Celem jest stworzenie
dobrze kodującego schematu dla danej listy różnych znaków (lub nawet
ciągów) i liczby ich wystąpień.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Algorithm-Huffman.spec,v $
Revision 1.22  2008/07/27 22:49:28  arekm
- release 4

Revision 1.21  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 19:36:54  paladine
- formatting

Revision 1.18  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.17  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 00:50:53  ankry
- cosmetics: unification

Revision 1.15  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.14  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.13  2004/03/09 19:53:52  adamg
- new style bconds

Revision 1.12  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:25:37  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/12 22:21:13  radek
- version 0.09

Revision 1.3  2002/09/08 11:02:57  radek
- version 0.08
- added Changes file

Revision 1.2  2002/08/31 21:43:39  qboosh
- pl description

Revision 1.1  2002/08/31 12:24:13  radek
- new, STBR
